Constraint (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.validation
[Java] Interface Constraint

    org.springframework.beans.factory.Aware
      org.codehaus.groovy.grails.validation.Constraint

All Superinterfaces:
  org.springframework.beans.factory.Aware

    public interface Constraint
    extends org.springframework.context.MessageSourceAware

Defines a validatable constraint.

Authors:
  Graeme Rocher

Method Summary
`java.lang.String` | `getName()` @return The name of the constraint
`java.lang.Object` | `getParameter()`
`java.lang.String` | `getPropertyName()` @return The property name of the constraint
`boolean` | `isValid()` Return whether the constraint is valid for the owning class
`void` | `setMessageSource(org.springframework.context.MessageSource source)` The message source to evaluate the default messages from
`void` | `setOwningClass(java.lang.Class owningClass)` The class the constraint applies to
`void` | `setParameter(java.lang.Object parameter)` The parameter which the constraint is validated against.
`void` | `setPropertyName(java.lang.String propertyName)` The name of the property the constraint applies to
`boolean` | `supports(java.lang.Class type)` Returns whether the constraint supports being applied against the specified type;
`void` | `validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)` Validate this constraint against a property value.

Methods inherited from interface org.springframework.context.MessageSourceAware
org.springframework.context.MessageSourceAware#setMessageSource(org.springframework.context.MessageSource)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    The name of the constraint

### getParameter

    public java.lang.Object getParameter()

### getPropertyName

    public java.lang.String getPropertyName()

  Returns:
    The property name of the constraint

### isValid

    public boolean isValid()

  Return whether the constraint is valid for the owning class
  Returns:
    true if it is

### setMessageSource

    public void setMessageSource(org.springframework.context.MessageSource source)

  The message source to evaluate the default messages from
  Parameters:
    source

### setOwningClass

    @java.lang.SuppressWarnings("rawtypes")
    public void setOwningClass(java.lang.Class owningClass)

  The class the constraint applies to
  Parameters:
    owningClass

### setParameter

    public void setParameter(java.lang.Object parameter)

  The parameter which the constraint is validated against.
  Parameters:
    parameter

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  The name of the property the constraint applies to
  Parameters:
    propertyName

### supports

    @java.lang.SuppressWarnings("rawtypes")
    public boolean supports(java.lang.Class type)

  Returns whether the constraint supports being applied against the specified type;
  Parameters:
    `type` - The type to support
  Returns:
    true if the constraint can be applied against the specified type

### validate

    public void validate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

  Validate this constraint against a property value. If implementation is vetoing (isVetoing() method returns true), then it could return 'true' to stop further validation.
  Parameters:
    target
    `propertyValue` - The property value to validate
    `errors` - The errors instance to record errors against

Groovy Documentation